package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicEnterprise;

public interface EnterpriseMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicEnterprise record);

    /**
     * 根据主键查询
     *
     * @param enterpriseId 主键
     * @return 实体对象
     */
    TabGicEnterprise selectByPrimaryKey(Integer enterpriseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicEnterprise record);
}