package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicStoreFieldSelect;

public interface StoreFieldSelectMapper {
    /**
     * 根据主键删除
     *
     * @param storeFieldSelectId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeFieldSelectId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicStoreFieldSelect record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicStoreFieldSelect record);

    /**
     * 根据主键查询
     *
     * @param storeFieldSelectId 主键
     * @return 实体对象
     */
    TabGicStoreFieldSelect selectByPrimaryKey(Integer storeFieldSelectId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicStoreFieldSelect record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicStoreFieldSelect record);
}